// FTPDlg.cpp : Implementation file
//

#include "stdafx.h"
#include "RemoteTest.h"
#include "FTPDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFTPDlg  dialog


//CFTPDlg::CFTPDlg(CWnd* pParent /*=NULL*/)
//	: CDialog(CFTPDlg::IDD, pParent)
//{
//}


CFTPDlg::CFTPDlg(CVAIBO *vaibo, CWnd* pParent /*=NULL*/)
	: CDialog(CFTPDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFTPDlg)
	//}}AFX_DATA_INIT
	m_vaibo = vaibo;
}


void CFTPDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFTPDlg)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFTPDlg, CDialog)
	//{{AFX_MSG_MAP(CFTPDlg)
	ON_BN_CLICKED(IDC_BTN_FTPREQ, OnBtnFTPReq)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_IS_FTP_OPEN, OnBtnIsFtpOpen)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFTPDlg message handlers

void CFTPDlg::OnOK()
{
	CDialog::OnOK();
}

void CFTPDlg::OnBtnFTPReq()
{

	m_vaibo->RequestNetService( FTP_ID );

	buttonFTPReq().EnableWindow( false );
}


BOOL CFTPDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_isSendFTP = false;

	return TRUE;   // return TRUE  unless you set the focus to a control
}

void CFTPDlg::OnDestroy()
{
	CDialog::OnDestroy();
}

void CFTPDlg::NotifyFTPStatus( int status, int nParam )
{
	if ( status == FTP_DONE_TRANSMIT ) {
		// Reload when it is sent from this dialog.
		if ( m_isSendFTP ) {
			int err;
			err = m_vaibo->SendCmd( APPCMD_RELOAD );
			if ( err != VAIBO_NOERROR ) {
				AfxMessageBox(IDS_CMD_ERR);
			}
			m_isSendFTP = false;
		}
	}
}

void CFTPDlg::OnBtnIsFtpOpen()
{
	if (m_vaibo->IsFTPOpen()) {
		AfxMessageBox(_T("FTP: Yes"));
	} else {
		AfxMessageBox(_T("FTP: No"));
	}
}

void CFTPDlg::ResetItem()
{
	buttonFTPReq().EnableWindow( true );
}
