// FTPDlg.h :  Header file
//

#if !defined(AFX_FTPDLG_H__DBBFD737_C9A7_4DDA_A97F_272E76203C0C__INCLUDED_)
#define AFX_FTPDLG_H__DBBFD737_C9A7_4DDA_A97F_272E76203C0C__INCLUDED_

#include "VAIBO.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


enum {
	FTP_START_SERVICE = 0,
	FTP_DONE_TRANSMIT,
	FTP_NOW_TRANSMITTING
};

/////////////////////////////////////////////////////////////////////////////
// CFTPDlg  dialog

class CFTPDlg : public CDialog
{
// Construction
public:
	void ResetItem();
	CFTPDlg(CVAIBO *vaibo, CWnd* pParent = NULL);
	void NotifyFTPStatus( int status, int nParam = 0 );

// Dialog Data
	//{{AFX_DATA(CFTPDlg)
	enum { IDD = IDD_DLG_FTP };
	CProgressCtrl	m_ftpProgress;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CFTPDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFTPDlg)
	virtual void OnOK();
	afx_msg void OnBtnFTPReq();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnBtnIsFtpOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CButton& buttonFTPReq() { return *(CButton*) GetDlgItem( IDC_BTN_FTPREQ ); };

private:
	CVAIBO			*m_vaibo;
	int				m_sentSize;

	bool			m_isSendFTP;
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_FTPDLG_H__DBBFD737_C9A7_4DDA_A97F_272E76203C0C__INCLUDED_)
