// KickDlg.h :  Header file
//

#if !defined(AFX_KICKDLG_H__C6C00BE3_02AB_42C4_93CC_EFBDC1103429__INCLUDED_)
#define AFX_KICKDLG_H__C6C00BE3_02AB_42C4_93CC_EFBDC1103429__INCLUDED_

#include "VAIBO.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CKickDlg  dialog

class CKickDlg : public CDialog
{
// Construction
public:
	CVAIBO			*m_vaibo;
	CKickDlg(CVAIBO *vaibo, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKickDlg)
	enum { IDD = IDD_DLG_KICK };
	CComboBox	m_comboTarget;
	CComboBox	m_comboSpeed;
	CEdit	m_editH;
	CEdit	m_editV;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CKickDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKickDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnBtnHeaderForward();
	afx_msg void OnBtnKickLeft();
	afx_msg void OnBtnKickLeftForward();
	afx_msg void OnBtnKickRight();
	afx_msg void OnBtnKickRightForward();
	afx_msg void OnButtonTrackTarget();
	afx_msg void OnButtonTrackHV();
	afx_msg void OnButtonTrackFaceTarget();
	afx_msg void OnButtonTrackFaceHV();
	afx_msg void OnButtonTrackPhotoHV();
	afx_msg void OnButtonLookTarget();
	afx_msg void OnButtonLookHV();
	afx_msg void OnButtonLookLostTarget();
	afx_msg void OnButtonLookRelHV();
	afx_msg void OnButtonSearchTargetNormal();
	afx_msg void OnButtonSearchTargetFront();
	afx_msg void OnButtonSearchTargetLower();
	afx_msg void OnButtonSearchTargetUpper();
	afx_msg void OnButtonSearchTargetHorizon();
	afx_msg void OnButtonSearchTargetWide();
	afx_msg void OnButtonSearchTargetPole();
	afx_msg void OnButtonSearchTrackTargetNormal();
	afx_msg void OnButtonSearchTrackTargetFront();
	afx_msg void OnButtonSearchTrackTargetLower();
	afx_msg void OnButtonSearchTrackTargetUpper();
	afx_msg void OnButtonSearchTrackTargetHorizon();
	afx_msg void OnButtonSearchTrackTargetWide();
	afx_msg void OnButtonSearchTrackTargetPole();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	// Target  
	enum {
		E_TARGET_NONE,
		E_TARGET_PINK,
		E_TARGET_BALL,
		E_TARGET_BONE,
		E_TARGET_FACE,
		E_TARGET_CARD,
		E_TARGET_HAND,
		MAX_E_TARGET
	};

	// speed  
	enum {
		E_SPEED_VERY_QUICK,
		E_SPEED_QUICK,
		E_SPEED_NORMAL,
		E_SPEED_SLOW,
		MAX_E_SPEED
	};


	void	GetTargetID( unsigned long& ulTarget );
	void	GetHV( int& nH, int& nV );
	int		GetSpeed();

};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_KICKDLG_H__C6C00BE3_02AB_42C4_93CC_EFBDC1103429__INCLUDED_)
