// ProductIDDlg.cpp : Implementation file
//

#include "stdafx.h"
#include "RemoteTest.h"
#include "ProductIDDlg.h"
#include "RemoteTestDlg.h"


/////////////////////////////////////////////////////////////////////////////
// CProductIDDlg  dialog

CProductIDDlg::CProductIDDlg(CVAIBO* vaibo, CWnd* pParent)
	: CDialog(CTTSDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProductIDDlg)
	//}}AFX_DATA_INIT

	m_vaibo = vaibo;
}

void CProductIDDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProductIDDlg)
	DDX_Control(pDX, IDC_EDIT_MACADDRESS, m_editMACAddress);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CProductIDDlg, CDialog)
	//{{AFX_MSG_MAP(CProductIDDlg)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProductIDDlg message handlers

BOOL	CProductIDDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetDlgItemText( IDC_EDIT_FORMAT_MAJOR, "" );
	SetDlgItemText( IDC_EDIT_FORMAT_MINOR, "" );
	SetDlgItemText( IDC_EDIT_MAJORVER, "" );
	SetDlgItemText( IDC_EDIT_MINORVER, "" );
	SetDlgItemText( IDC_EDIT_VENDERID, "" );
	SetDlgItemText( IDC_EDIT_LANGCODE, "" );
	SetDlgItemText( IDC_EDIT_LANGUAGE, "" );

	return TRUE;   // return TRUE  unless you set the focus to a control
}

void	CProductIDDlg::OnDestroy() 
{
	CDialog::OnDestroy();
}


void	CProductIDDlg::SetProductID() 
{
	ProductInfo		productInfo;
	CString			msg;

	m_vaibo->GetProductID( &productInfo );
	SetDlgItemInt( IDC_EDIT_FORMAT_MAJOR, productInfo.formatMajorVer );
	SetDlgItemInt( IDC_EDIT_FORMAT_MINOR, productInfo.formatMinorVer );
	SetDlgItemInt( IDC_EDIT_MAJORVER, productInfo.majorVer );
	SetDlgItemInt( IDC_EDIT_MINORVER, productInfo.minorVer );
	SetDlgItemInt( IDC_EDIT_VENDERID, productInfo.vendorID );
	SetDlgItemInt( IDC_EDIT_LANGCODE, productInfo.langCode );
	SetDlgItemInt( IDC_EDIT_LANGUAGE, productInfo.languageCode );

	MACAddressInfo	macAddrInfo;
	m_vaibo->GetRemoteMACAddress( &macAddrInfo );
	m_editMACAddress.SetWindowText( ( char* )&macAddrInfo );
}