// TTSDlg.h :  Header file
//

#if !defined(__TTSDLG_H__)
#define __TTSDLG_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "VAIBO.h"


/////////////////////////////////////////////////////////////////////////////
// CTTSDlg  dialog

class	CVAIBOTTS;

class	CTTSLexiconDlg;

class CTTSDlg : public CDialog
{
public:
	CTTSDlg(CVAIBO* vaibo, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTTSDlg)
	enum { IDD = IDD_DIALOG_TTS };
	CComboBox	m_ComboEngine;
	CComboBox	m_ComboFormat;
	CSliderCtrl	m_sliderVolume;
	CSliderCtrl	m_sliderSpeed;
	CSliderCtrl	m_sliderPitch;
	CSliderCtrl	m_sliderAccent;
	CEdit	m_editText;
	CEdit	m_editText2;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CTTSDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTTSDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnButtonSpeak();
	afx_msg void OnButtonSpeak2();
	afx_msg void OnButtonSave();
	afx_msg void OnButtonSave2();
	afx_msg void OnButtonAiboSpeak();
	afx_msg void OnButtonAiboSpeak2();
	afx_msg void OnButtonLexiconSonyTTS();
	afx_msg void OnButtonLexiconSAPI_J();
	afx_msg void OnButtonLexiconSAPI_E();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSelchangeComboEngine();
	afx_msg void OnSelchangeComboFormat();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	void	NotifyPlayWave( int status );

private:

	CVAIBO*			m_vaibo;
	CTTSLexiconDlg*	m_pDlgLexicon;

	CVAIBOTTS*	m_pTTS;

	bool		m_isSendFTP;
	bool		m_isPlayWave;


	void	AiboSpeak( CString strEdit );
	void	DisplayLexicon( int eLexicon );

};

/////////////////////////////////////////////////////////////////////////////
// CTTSLexiconDlg  dialog

class CTTSLexiconDlg : public CDialog
{

public:

	CTTSLexiconDlg( CVAIBOTTS* pTTS );   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTTSLexiconDlg)
	enum { IDD = IDD_DIALOG_LEXICON };
	CListCtrl	m_listViewWord;
	CEdit		m_editWord;
	CEdit		m_editPhone;
	CComboBox	m_comboPart;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CTTSLexiconDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTTSLexiconDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private:

	CVAIBOTTS*	m_pTTS;			// TTS Engine 

	int			m_eLexicon;		// Dictionary classification

public:

	void	SetLexicon( int eLexicon );

};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(__TTSDLG_H__)
