// WalkDlg.h :  Header file
//

#if !defined(AFX_WALKDLG_H__6478CB66_3029_4A2D_9209_FD55076A1A9E__INCLUDED_)
#define AFX_WALKDLG_H__6478CB66_3029_4A2D_9209_FD55076A1A9E__INCLUDED_

#include "VAIBO.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// A message to send to RemoteTestDlg
static const UINT WM_REMOTETEST_MOVEAIBO3D = RegisterWindowMessage(_T("RemoteTestMoveAibo3D"));


/////////////////////////////////////////////////////////////////////////////
// CWalkDlg  dialog
class CWalkDlg : public CDialog
{
// Construction
public:
	CVAIBO *m_vaibo;
	CWnd*	m_pParent;
	CWalkDlg(CVAIBO *vaibo, CWnd* pParent = NULL);   // standard constructor

	void	DoWalking( int walk, int angle = 0, int distance = 0, BOOL waitF = false );
	void	GetTargetID( unsigned long& ulTarget );
// Dialog Data
	//{{AFX_DATA(CWalkDlg)
	enum { IDD = IDD_DLG_WALK };
	CComboBox	m_WlakStyle;
	CComboBox	m_comboTarget;
	UINT	m_nForward;
	UINT	m_nBack;
	UINT	m_nLeft;
	UINT	m_nRight;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CWalkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWalkDlg)
	afx_msg void OnDestroy();
	afx_msg void OnBtnForward();
	afx_msg void OnBtnBack();
	afx_msg void OnBtnLeft();
	afx_msg void OnBtnRight();
	afx_msg void OnBtnStop();
	afx_msg void OnCheckParam();
	virtual BOOL OnInitDialog();
	afx_msg void OnRadioSlow();
	afx_msg void OnRadioNormal();
	afx_msg void OnRadioFast();
	afx_msg void OnSelchangeComboWalkEx();
	afx_msg void OnBtnLeftCircle();
	afx_msg void OnBtnRightCircle();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	BOOL			m_bParam;
	BOOL			m_walkKind;
	CEdit& editForward() { return *(CEdit*) GetDlgItem( IDC_EDIT_FORWARD ); };
	CEdit& editBack() { return *(CEdit*) GetDlgItem( IDC_EDIT_BACK ); };
	CEdit& editLeft() { return *(CEdit*) GetDlgItem( IDC_EDIT_LEFT ); };
	CEdit& editRight() { return *(CEdit*) GetDlgItem( IDC_EDIT_RIGHT ); };

	// Target  
	enum {
		E_TARGET_ILLEGAL,
		E_TARGET_NONE,
		E_TARGET_PINK,
		E_TARGET_BALL,
		E_TARGET_BONE,
		E_TARGET_FACE,
		E_TARGET_CARD,
		E_TARGET_HAND,
		MAX_E_TARGET
	};

};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_WALKDLG_H__6478CB66_3029_4A2D_9209_FD55076A1A9E__INCLUDED_)
