
#if !defined(__CLOCKDLG_H__)
#define __CLOCKDLG_H__


#include "VAIBO.h"
#include "resource.h"


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// CClockDlg  dialog
class CClockDlg : public CDialog
{

public:

	// standard constructor
	CClockDlg( CVAIBO *vaibo, CWnd* pParent = NULL );

	// Dialog Data
	//{{AFX_DATA(CClockDlg)
	enum { IDD = IDD_DIALOG_CLOCK };
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CClockDlg)
	protected:
	virtual void DoDataExchange( CDataExchange* pDX );    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CClockDlg)
	virtual BOOL	OnInitDialog();
	afx_msg void	OnDestroy();
	afx_msg void	OnSetClock();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	CEdit& editYear() { return *( CEdit* )GetDlgItem( IDC_CLOCK_YEAR ); }
	CEdit& editMonth() { return *( CEdit* )GetDlgItem( IDC_CLOCK_MONTH ); }
	CEdit& editDay() { return *( CEdit* )GetDlgItem( IDC_CLOCK_DAY ); }
	CEdit& editHour() { return *( CEdit* )GetDlgItem( IDC_CLOCK_HOUR ); }
	CEdit& editMinute() { return *( CEdit* )GetDlgItem( IDC_CLOCK_MINUTE ); }
	CEdit& editSecond() { return *( CEdit* )GetDlgItem( IDC_CLOCK_SECOND ); }

	// Virtual AIBO 
	CVAIBO *m_vaibo;

};

#endif // __CLOCKDLG_H__ 