// ContentsDlg.h :  Header file
//

#if !defined(AFX_CONTENTSDLG_H__7324D68D_9185_4D76_8818_CC46FBE87C5D__INCLUDED_)
#define AFX_CONTENTSDLG_H__7324D68D_9185_4D76_8818_CC46FBE87C5D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VAIBO.h"

/////////////////////////////////////////////////////////////////////////////
// CContentsDlg  dialog

class CContentsDlg : public CDialog
{
// Construction
public:
	CContentsDlg(CVAIBO *vaibo, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CContentsDlg)
	enum { IDD = IDD_DLG_CONTENTS };
	CString	m_strMWCID;
	CString	m_strMWCID2;
	CString	m_strMWCID3;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CContentsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CContentsDlg)
	afx_msg void OnBtnContentsPlay();
	afx_msg void OnBtnContentsPlay2();
	afx_msg void OnBtnMwcBrowse();
	afx_msg void OnBtnAudioBrowse();
	afx_msg void OnBtnLedBrowse();
	afx_msg void OnBtnMotionBrowse();
	afx_msg void OnButtonSendMwc();
	afx_msg void OnBtnAudioSend();
	afx_msg void OnBtnLedSend();
	afx_msg void OnBtnMotionSend();
	afx_msg void OnBtnMwcSend();
	afx_msg void OnBtnContentsUpdate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CEdit& editSendMWCFile() { return *(CEdit*) GetDlgItem( IDC_EDIT_SEND_MWC_FILE ); };
	CEdit& editSendMOTIONFile() { return *(CEdit*) GetDlgItem( IDC_EDIT_SEND_MOTION_FILE ); };
	CEdit& editSendAUDIOFile() { return *(CEdit*) GetDlgItem( IDC_EDIT_SEND_AUDIO_FILE ); };
	CEdit& editSendLEDFile() { return *(CEdit*) GetDlgItem( IDC_EDIT_SEND_LED_FILE ); };

private:
	// Virtual AIBO 
	CVAIBO			*m_vaibo;

};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CONTENTSDLG_H__7324D68D_9185_4D76_8818_CC46FBE87C5D__INCLUDED_)
