// PostureDlg.h :  Header file
//

#if !defined(AFX_POSTUREDLG_H__AE46F13E_7A66_447E_9812_940362A1C484__INCLUDED_)
#define AFX_POSTUREDLG_H__AE46F13E_7A66_447E_9812_940362A1C484__INCLUDED_

#include "VAIBO.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCameraPosWnd;

/////////////////////////////////////////////////////////////////////////////
// CPostureDlg  dialog

class CPostureDlg : public CDialog
{
// Construction
public:
	CCameraPosWnd	*m_pCameraView;
	CVAIBO			*m_vaibo;
	CPostureDlg(CVAIBO *vaibo, CWnd* pParent = NULL);   // standard constructor

	int				m_nNeckAngle;	// Neck angle

// Dialog Data
	//{{AFX_DATA(CPostureDlg)
	enum { IDD = IDD_DLG_POSTURE };
	CComboBox	m_ComboNeckSpeed;
	CEdit		m_EditHeadX;
	CEdit		m_EditHeadY;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CPostureDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPostureDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnSleep();
	afx_msg void OnBtnStand();
	afx_msg void OnBtnSit();
	afx_msg void OnBtnWalk();
	afx_msg void OnBtnSleepV();
	afx_msg void OnBtnStandV();
	afx_msg void OnBtnSitV();
	afx_msg void OnBtnTurnBody();
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnButtonHead();
	afx_msg void OnBtnStation();
	afx_msg void OnBtnStationGoff();
	afx_msg void OnBtnStationGoffD();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_POSTUREDLG_H__AE46F13E_7A66_447E_9812_940362A1C484__INCLUDED_)
